import {mande} from "mande";
import {provider} from "@/api/provider.js";
import {queryRemoveZero} from "@/api/utils.js";
import {encodeURL} from "@/api/encode.js";

const watchers = mande('/api/v2/watchers')

export const ListWatchers = (q) => {
    const query = queryRemoveZero(q)
    return watchers.get({query:query})
}

export const CreateWatcher = (providerId, skuID)=>{
    return provider.post(`${providerId}/watch/${encodeURL(skuID)}`)
}

export const DeleteWatcher = (providerId, skuID)=>{
    return provider.delete(`${providerId}/watch/${encodeURL(skuID)}`)
}

export const StopWatcher = (providerId,skuID)=>{
    return provider.post(`${providerId}/watch/stop/${encodeURL(skuID)}`)
}